Skype for Business Online – 3DES support is going to be retired

A simple reminder that the 3DES cipher support for Skype for Business Online (SfBO) is going to be retired starting July 10th.

If you are still using client using 3DES cipher (hopefully not) to connect to Skype for Business Online – like Lync 2010, Lync Phone Edition or Lync Mac 2011 – you will not be able to connect anymore to SfBO after July 10th.

You must upgrade to a more recent/modern client, like:

  • Skype for Business Click-to-Run
    • Monthly and Semi-Annual Targeted – 16.0.9126.2152 and higher
    • Semi-Annual and Deferred Channel – 16.0.8431.2242 and higher
  • Skype for Business 2019 volume license
  • Skype for Business 2016 Desktop Client, MSI 0.4678.1000 and higher, including Basic
  • Lync 2013 (Skype for Business 2015) Desktop Client, MSI and C2R, including Basic 0.5023.1000 and higher
  • Skype for Business for Mac 16.15 and higher
  • Skype for Business for iOS and Android 6.19 and higher
  • Certified Skype for Business Online Phones –  Further guidance is located here.

TLS 1.0/1.1 connections not using 3DES are not impacted – even if this is still a good opportunity to move to TLS 1.2

Leave a Comment

Your email address will not be published. Required fields are marked *